<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: refactor-powertrain-matchers.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('refactor-powertrain-matchers_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">refactor-powertrain-matchers.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="refactor-powertrain-matchers_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//                                                                              //</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//                          Outer matcher                                                                   // </span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"></span><span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// The declaration context of a translation unit means the complete code                                        //</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// inside this give translatable unit but it does already exclude every                                         //</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// piece of code in the header file which is not needed                                                 //</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#abeef49320bf72e5beaf18752192995d8">   13</a></span>&#160;<span class="preprocessor">#define MatcherTranslationUnit hasDeclContext(translationUnitDecl())</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//        REDUCE SCOPE To THE BODY OF A FUNCTION WHICH IS EXPLICITLY NAMED                                  //</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// This matcher is limiting the context of the translation unit to                                          //</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// the content of that function definition which has the name AFS_VD_PROC                                       //</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// the function declaration has to be a function definition and it has to have a body                                   //</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">// which has a compound statement:                                                          //</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">// any_return_type AFS_VD_PROC(any argument) { any content }                                                //</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#acaf61196b0d360dde91df3dacc4d21a4">   27</a></span>&#160;<span class="preprocessor">#define MatcherOuterFunctionDecl functionDecl(hasName(&quot;AFS_VD_Proc&quot;),isDefinition(),MatcherTranslationUnit)</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">//             This matcher is limiting the scope further to only the compound statement of the matched function                    //</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a2011ec8df680f9b4910ffa42d653a2a3">   35</a></span>&#160;<span class="preprocessor">#define MatcherOuterCompoundStmt compoundStmt(hasParent(MatcherOuterFunctionDecl))</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment">// DevLib_PhysRngChk is a Bosch specific error report. If no error reports are to be covered one can replace                        //</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">// this node by an empty body                                                               //</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment">// DSM_GetDscPermission returns true if no error or any other inhibit conditions are active                             //</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">//                                                                          //</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a3f706748ee5414fe73bdc3377fcfa3b7">   45</a></span>&#160;<span class="preprocessor">#define MatchDevLibPhysRngChkCall callExpr(callee(functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;)).bind(&quot;RngCheckFuncDecl&quot;)),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a4b85d177ee0db3b4e20197f3b0a3afd5">   46</a></span>&#160;<span class="preprocessor">#define MatchDsmGetPermissionCall callExpr(callee(functionDecl(hasName(&quot;DSM_GetDscPermission&quot;)).bind(&quot;DSMGetPermFuncDecl&quot;)),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#acb79fefc09b79fd625a4969f67e163ad">   47</a></span>&#160;<span class="preprocessor">#define MatchDsmReport callExpr(callee(functionDecl(hasName(&quot;DSM_DebRepCheck&quot;)).bind(&quot;DSMReportFuncDecl&quot;)),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#ad66ae99924e5fe566d7c7683c8a63089">   48</a></span>&#160;<span class="preprocessor">#define MatchDsmResetDebounce callExpr(callee(functionDecl(hasName(&quot;DSM_ResetDebounce&quot;)).bind(&quot;DSMResetDebounceFuncDecl&quot;)),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a9e432c4e6a107bf59764c822c82f9262">   51</a></span>&#160;<span class="preprocessor">#define MatchLocalVarDecl   varDecl(hasLocalStorage(),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment">//                                                                           //</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment">// Match a single value on RHS for assignments :                                                     //</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment">// -integer literals                                                                     //</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment">// -float literals                                                                   //</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="comment">// -single local variable                                                                //</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment">// -single global variable                                                               //</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="comment">//                                                                           //</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a6abebd5d77f8d6fa7e2891b4e1e75bf8">   64</a></span>&#160;<span class="preprocessor">#define MatchSingleGlobalRHSAssign  declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))),hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;VarDclSglGlobRHS&quot;)))</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#ab6bf3ab8460e0234fc6f66a8ee5ae977">   67</a></span>&#160;<span class="preprocessor">#define MatchIntegerLiteralOnRHSAssign integerLiteral(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</span></div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a0bd43cdb17b1530d60630118cb7d48a2">   68</a></span>&#160;<span class="preprocessor">#define MatchFloatLiteralOnRHSAssign    floatLiteral(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</span></div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a323a4d931a9f53903cc716766ae56860">   69</a></span>&#160;<span class="preprocessor">#define MatchSingleLocalRHSAssign   declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))),hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;LocalRightHandDecl&quot;))).bind(&quot;LocalRightHandRef&quot;)</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="comment">// Match an assignment single with single values on RHS                                                                                              //</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">// -integer literals                                                                                                                                 //</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">// -float literals                                                                                                                                   //</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="comment">// -single local variable RHS on global LHS (e.g. work with a local copy externally)                                                                 //</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">// -single global variable RHS on local LHS (e.g. store the local copy back)                                                                         //</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a8cb28cc8593f1db3fd25796aff3e0e5c">   83</a></span>&#160;<span class="preprocessor">#define MatcherLocalVarIntegerInitialization binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage())))),hasDescendant(MatchIntegerLiteralOnRHSAssign),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a190a1cff676f5a3e25d619fe98ca673f">   85</a></span>&#160;<span class="preprocessor">#define MatcherLocalVarFloatInitialization binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage())))),hasDescendant(MatchIntegerFloatOnRHSAssign),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="comment">// Match for an assignment with a global variable on LHS and one single local variable on RHS :                                                      //</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="comment">//  - a hook on that variable has to overwrite the local variable before it is writen on the global variable                                         //</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a5b594dda1016adfd5ba68bc0171153fc">   97</a></span>&#160;<span class="preprocessor">#define MatcherLocalRHSonGlobalLHSAssign binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;ProcSignalOutput&quot;))).bind(&quot;GlobalLeftHandHook&quot;)),hasDescendant(MatchSingleLocalRHSAssign),hasAncestor(MatcherOuterCompoundStmt)).bind(&quot;SingleLocalVarOnRHS&quot;)</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div>
<div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a0c135af170a19ab8e68d09b16ea82119">  100</a></span>&#160;<span class="preprocessor">#define MatcherGlobalRHSonLocalLHSAssign binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;ProcSignalBuffer&quot;))).bind(&quot;LocalLeftHandBuffer&quot;)),hasDescendant(MatchSingleGlobalRHSAssign),hasAncestor(MatcherOuterCompoundStmt)).bind(&quot;SingleGlobalVarOnRHS&quot;)</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160; </div>
<div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a8c98d9b9f7c59b850922052b97cb980d">  102</a></span>&#160;<span class="preprocessor">#define MatcherAssignLocalLHSWOLocalBuf binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasLocalStorage()).bind(&quot;LocalAssignVar&quot;))).bind(&quot;RefLocalAssign&quot;)),unless(hasDescendant(MatchSingleGlobalRHSAssign)),hasAncestor(MatcherOuterCompoundStmt)).bind(&quot;LocalAssign&quot;)</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="comment">// Match write on global variables :                                                                                                                 //</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="comment">// -assignments                                                                                                                                      //</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="comment">// -pointer argument of a callee appears as an assignment to                                                                                         //</span></div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#aa91d0e9ec15bf8f08e12a7fe0c867f1c">  112</a></span>&#160;<span class="comment"></span><span class="preprocessor">#define MatchRHSAtAssignisDeclRef declRefExpr(hasParent(implicitCastExpr(hasParent(binaryOperator(hasOperatorName(&quot;=&quot;))))))</span></div>
<div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#abdbbef47a5df1b6d52cedac1ecb5ee04">  113</a></span>&#160;<span class="preprocessor">#define MatchAllGlobalValues declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;GlobalDecl&quot;)),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#aa55130e53d9cfe738436f6e0f3f1f73a">  114</a></span>&#160;<span class="preprocessor">#define MatcherGlobalLHSAssign binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;GlobalLHSDecl&quot;))).bind(&quot;GlobalVarRef&quot;)),hasAncestor(MatcherOuterCompoundStmt),unless(hasDescendant(MatchRHSAtAssignisDeclRef))).bind(&quot;AssignGlobalVar&quot;)</span></div>
<div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#af09ae49942dfa17ab9a24dd98838971a">  115</a></span>&#160;<span class="preprocessor">#define MatchReturnValueByPointer binaryOperator(hasOperatorName(&quot;=&quot;),hasLHS(declRefExpr(hasDeclaration(parmVarDecl(hasType(pointerType())).bind(&quot;ParmVarDecl&quot;))).bind(&quot;RefPtrVar&quot;)),hasAncestor(MatcherOuterCompoundStmt)).bind(&quot;PointerAssign&quot;)</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="comment">// Find all callees which use the address of a global variable as an argument                                                                        //</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="comment">//                                                                                                                                                   //</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a4b105f6c79084f028320848346c9e486">  126</a></span>&#160;<span class="preprocessor">#define MatchCalleeWithPointer callExpr(callee(functionDecl().bind(&quot;FunctionRefArgPtrOnGlob&quot;)),hasAnyArgument(unaryOperator(hasOperatorName(&quot;&amp;&quot;),hasDescendant(declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;VarRefInFuncArg&quot;))).bind(&quot;reference&quot;)))),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160; </div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="comment">//                                                                                                                                                                                                //</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="comment">//                                                                                                                                                                                                //</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="comment">//          Make all engine controls services available e.g. as a precompiled header instead of subsituting them                                                                                  //</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="comment">//                                                                                                                                                                                                //</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="comment">//                                                                                                                                                                                                //</span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="comment">//  A high number of matching and substitution pattern would be necessary to subsiture the services                                                                                               // </span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="comment">//  The substitute an edge rising function one has to find out the EdgeRising is a macro which redirects to a pattern like                                                                        //</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="comment">// #define MatchDsmGetPermissionCall callExpr(callee(functionDecl(hasName(&quot;SrvB_EdgeRising_B_inline&quot;))),hasAncestor(MatcherOuterCompoundStmt))                                                    //</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="comment">// \Srv\SrvB\srvb_control_inl.h                                                                                                                                                                   //</span></div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="comment">// \Srv\SrvB\srvb_control.h                                                                                                                                                                       //</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="comment">// \Srv\SrvX\srvx_ipomap_s16s16_s16.c                                                                                                                                                             //</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="comment">// \Srv\SrvX\srvx_adapter_inl.h                                                                                                                                                                   //</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="comment">// \Srv\SrvB\srvb_control.h                                                                                                                                                                       //</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="comment">// =&gt; to stub the service SrvB_EdgeRising_B_inline one has to load /AirMod/AFS_VD/afs_vd_priv.h to find the service as a callee                                                                   //</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="comment">// which references a functionDecl which is a definition in a different file                                                                                                                      //</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="comment">//                                                                                                                                                                                                //</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="comment">//                                                                                                                                                                                                //</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160; </div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="comment">//                                                                                                                                                                                                 //</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="comment">//                                                                                                     //</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="comment">// If one prints the matched node. The output is :                                                                         //</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="comment">//                                                                                                     //</span></div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="comment">// void DevLib_PhysRngChk(const sint16 PhysVal, const DevLib_PhysRng_t *PhysValRng, const DSM_DFCType DFC_PhysRngHi, const DSM_DFCType DFC_PhysRngLo, const DSM_FIdType FId_PhysRngChk, const bool // </span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="comment">// stPhysRngChkDis, const sint32 dT) {</span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="comment">//     uint16 tmp_misra;</span></div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="comment">//    if ((DSM_GetDscPermission(FId_PhysRngChk) &amp;&amp; (stPhysRngChkDis == 0)) != 0) {</span></div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="comment">//        tmp_misra = (uint16)DSM_DebRepCheck(DFC_PhysRngHi, ((PhysVal &gt; PhysValRng-&gt;Max_C) ? 15U : 0U), 0, dT);</span></div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="comment">//        tmp_misra = (uint16)DSM_DebRepCheck(DFC_PhysRngLo, ((PhysVal &lt; PhysValRng-&gt;Min_C) ? 15U : 0U), 0, dT);</span></div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="comment">//    } else {</span></div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="comment">//        DSM_ResetDebounce(DFC_PhysRngHi);</span></div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="comment">//        DSM_ResetDebounce(DFC_PhysRngLo);</span></div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;<span class="comment">//    }</span></div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<span class="comment">//    if ((tmp_misra) != 0) {</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;<span class="comment">//    }</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;<span class="comment">//    ;</span></div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<span class="comment">// }</span></div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;<span class="comment">// The physical range is given by the calibrated Min and Max value. If the physical value overshoots this range an error is reported :                                 //</span></div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="comment">// 1st refactoring step : do not report any error =&gt; create an empty function body                                                         //</span></div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="comment">//                                                                                                                                                                                                 //</span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160; </div>
<div class="line"><a name="l00175"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#ae9fdadcb0159dec3983181ff74c9e401">  175</a></span>&#160;<span class="preprocessor">#define MatcherPhyRngChkFunctionDecl functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;),isDefinition(),hasParameter(1, hasType(pointerType(pointee()))))</span></div>
<div class="line"><a name="l00176"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a5ce896bdaa2100c8a4baca4387b50766">  176</a></span>&#160;<span class="preprocessor">#define MatchParnPhyRngChk parmVarDecl(hasAncestor(MatcherPhyRngChkFunctionDecl),hasType(pointerType()))</span></div>
<div class="line"><a name="l00177"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#ae64d70c0e49e6e195bb310e16ad6b1bc">  177</a></span>&#160;<span class="preprocessor">#define MatchParnPhyRngChkRef declRefExpr(hasDeclaration(parmVarDecl(hasAncestor(MatcherPhyRngChkFunctionDecl),hasType(pointerType()))))</span></div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160; </div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160; </div>
<div class="line"><a name="l00180"></a><span class="lineno"><a class="line" href="refactor-powertrain-matchers_8h.html#a3963d047eaf284a3178976019d771177">  180</a></span>&#160;<span class="preprocessor">#define MatcherPhyRngChkCallexpr callExpr(callee(functionDecl(hasName(&quot;DevLib_PhysRngChk&quot;))),hasAnyArgument(unaryOperator(hasOperatorName(&quot;&amp;&quot;),hasDescendant(declRefExpr().bind(&quot;reference&quot;)))),hasAncestor(MatcherOuterCompoundStmt))</span></div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160; </div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; </div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="comment">// declRefExpr(hasType(pointerType(pointee(isInteger()))))</span></div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;<span class="comment">//  hasAnyParameter hasParameter(1, hasType(varDecl()))  varDecl(hasType(isAnyPointer()))</span></div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160; </div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;<span class="comment">//                                                                           //</span></div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="comment">// ASMod/AFS_VD/afs_vd.c                                                                 //</span></div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;<span class="comment">// DEDia/DevLib_PhysRngChk/devlib_physrngchk.c                                                       //</span></div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;<span class="comment">// DINH/dinh_getpermission.c                                                                 //</span></div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;<span class="comment">// DSQ/dsq_report.c                                                                  //</span></div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<span class="comment">// DDRC/ddrc_reset.c                                                                     //</span></div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="comment">// DDRC/ddrc_switch.c                                                                    //</span></div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="comment">// VECT_AFS_VD_dir : in _gen/swb/filegroup/includes/data/afs_vd_dat.h =&gt; directly included                               //</span></div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<span class="comment">// Srv/SrvB/srvb_sub_inl.h</span></div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;<span class="comment">// SrvX/srvx_adapter.h</span></div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;<span class="comment">// SrvB/srvb_div.h</span></div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;<span class="comment">// SrvB_Mul_S32S32_S32_inline</span></div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;<span class="comment">// Srv/SrvX/srvx_rampswitch.h</span></div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="comment">// SrvB_Add_S32S32_S16_inline</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_ab4eae395b250c9b2cf83c4a3454de393"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#ab4eae395b250c9b2cf83c4a3454de393">SourcePaths</a></div><div class="ttdeci">cl::list&lt; std::string &gt; SourcePaths(cl::Positional, cl::desc(&quot;&lt;source0&gt; [... &lt;sourceN&gt;]&quot;), cl::OneOrMore)</div></div>
<div class="ttc" id="astruct_arte_fact_check__type_html_a0d6e64a027b73667a7c188034f904d4a"><div class="ttname"><a href="struct_arte_fact_check__type.html#a0d6e64a027b73667a7c188034f904d4a">ArteFactCheck_type::StaticArchive</a></div><div class="ttdeci">std::string StaticArchive</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:466</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a23641ff228bc4a84c18a7ae15c42ed77"><div class="ttname"><a href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">genericQuery</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; genericQuery(std::string dbName, std::string query)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:759</div></div>
<div class="ttc" id="astruct_arte_fact_check__type_html_a8cd9aa23a72c119335403c2374de6e24"><div class="ttname"><a href="struct_arte_fact_check__type.html#a8cd9aa23a72c119335403c2374de6e24">ArteFactCheck_type::CompileCommands</a></div><div class="ttdeci">std::string CompileCommands</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:465</div></div>
<div class="ttc" id="a_stmt_proc_dispatcher_8h_html_ae364a6155195062d852e4839fa36732a"><div class="ttname"><a href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a">TopLevlStmtProc</a></div><div class="ttdeci">void TopLevlStmtProc(bsoncxx::builder::basic::document &amp;MainNode, BinaryOpProperties &amp;BinOpProp, const SourceManager &amp;SourceManager, const clang::CompoundStmt *CMPND)</div><div class="ttdef"><b>Definition:</b> StmtProcDispatcher.h:148</div></div>
<div class="ttc" id="astruct_sub_level_properties_html_a64262bfa983cfbaa7c00ae8d549a6a83"><div class="ttname"><a href="struct_sub_level_properties.html#a64262bfa983cfbaa7c00ae8d549a6a83">SubLevelProperties::current_level</a></div><div class="ttdeci">NodeHierarchy current_level</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:556</div></div>
<div class="ttc" id="a_stmt_proc_dispatcher_8h_html"><div class="ttname"><a href="_stmt_proc_dispatcher_8h.html">StmtProcDispatcher.h</a></div></div>
<div class="ttc" id="a_match_process_body_8h_html_a2c7fd7bcbe69954edbbd9fdec077f2d5"><div class="ttname"><a href="_match_process_body_8h.html#a2c7fd7bcbe69954edbbd9fdec077f2d5">MatchAllProcessDefs</a></div><div class="ttdeci">#define MatchAllProcessDefs</div><div class="ttdef"><b>Definition:</b> MatchProcessBody.h:29</div></div>
<div class="ttc" id="astruct_binary_op_properties_light_html_ad719d6ac3b0cc0a91c27ea42b451f5e3"><div class="ttname"><a href="struct_binary_op_properties_light.html#ad719d6ac3b0cc0a91c27ea42b451f5e3">BinaryOpPropertiesLight::opcode</a></div><div class="ttdeci">std::string opcode</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:480</div></div>
<div class="ttc" id="astruct_binary_op_properties_html_ae922e477bd81ee5c469c0047f7f88046"><div class="ttname"><a href="struct_binary_op_properties.html#ae922e477bd81ee5c469c0047f7f88046">BinaryOpProperties::noOfGlobalRHS</a></div><div class="ttdeci">unsigned noOfGlobalRHS</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:576</div></div>
<div class="ttc" id="astruct_binary_op_properties_html_ab5fdccdcf10bc5f1f94a62504b5253a5"><div class="ttname"><a href="struct_binary_op_properties.html#ab5fdccdcf10bc5f1f94a62504b5253a5">BinaryOpProperties::tree</a></div><div class="ttdeci">std::vector&lt; unsigned &gt; tree</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:592</div></div>
<div class="ttc" id="a_stmt_proc_dispatcher_8h_html_a89adee888d6cc38fc2aea0ca806daf26"><div class="ttname"><a href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26">dispatchStmtProc</a></div><div class="ttdeci">void dispatchStmtProc(bsoncxx::builder::basic::document &amp;MainNode, SubLevelProperties &amp;SubLvlPrp, BinaryOpProperties &amp;BinOpProp, const SourceManager &amp;SourceManager, Stmt::const_child_iterator ir)</div><div class="ttdef"><b>Definition:</b> StmtProcDispatcher.h:3</div></div>
<div class="ttc" id="astruct_node_hierarchy_html_a015dad3d88641e4efc2d6a256a31df5c"><div class="ttname"><a href="struct_node_hierarchy.html#a015dad3d88641e4efc2d6a256a31df5c">NodeHierarchy::stmt_no</a></div><div class="ttdeci">unsigned stmt_no</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:438</div></div>
<div class="ttc" id="a_match_process_body_8h_html"><div class="ttname"><a href="_match_process_body_8h.html">MatchProcessBody.h</a></div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_afd0276fa65d6e39e10653c72733fd8b4"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#afd0276fa65d6e39e10653c72733fd8b4">createRefactoringTool</a></div><div class="ttdeci">void createRefactoringTool(std::string basePath, std::vector&lt; std::string &gt; functionNameToMatch_vec)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:537</div></div>
<div class="ttc" id="acreate_system_consts_8hpp_html"><div class="ttname"><a href="create_system_consts_8hpp.html">createSystemConsts.hpp</a></div></div>
<div class="ttc" id="astruct_binary_op_properties_html_a9401e6949ca1d3b4d5203d731258ec69"><div class="ttname"><a href="struct_binary_op_properties.html#a9401e6949ca1d3b4d5203d731258ec69">BinaryOpProperties::ProcessOrService</a></div><div class="ttdeci">const clang::FunctionDecl * ProcessOrService</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:594</div></div>
<div class="ttc" id="astruct_binary_op_properties_html_a1ae4c44e21b77eded679b146ec556a7d"><div class="ttname"><a href="struct_binary_op_properties.html#a1ae4c44e21b77eded679b146ec556a7d">BinaryOpProperties::LHSExpr</a></div><div class="ttdeci">LeftRight LHSExpr</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:581</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_ab6d3c9853a30bc8a0bfb094e695b610d"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#ab6d3c9853a30bc8a0bfb094e695b610d">createBasicNode</a></div><div class="ttdeci">bool createBasicNode(bsoncxx::builder::basic::document &amp;doc_ini)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:209</div></div>
<div class="ttc" id="acreate_recursive_funct_matchers_8hpp_html"><div class="ttname"><a href="create_recursive_funct_matchers_8hpp.html">createRecursiveFunctMatchers.hpp</a></div></div>
<div class="ttc" id="astruct_arte_fact_check__type_html"><div class="ttname"><a href="struct_arte_fact_check__type.html">ArteFactCheck_type</a></div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:463</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a217dbf8b442f20279ea00b898af96f52"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52">main</a></div><div class="ttdeci">int main(int argc, const char **argv)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:809</div></div>
<div class="ttc" id="astruct_binary_op_properties_html_a1396f88754a6afd9de9765b10f52df2f"><div class="ttname"><a href="struct_binary_op_properties.html#a1396f88754a6afd9de9765b10f52df2f">BinaryOpProperties::hasGlobalLHS</a></div><div class="ttdeci">bool hasGlobalLHS</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:575</div></div>
<div class="ttc" id="astruct_sub_level_properties_html"><div class="ttname"><a href="struct_sub_level_properties.html">SubLevelProperties</a></div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:544</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html"><div class="ttname"><a href="postgres_interface_8hpp.html">postgresInterface.hpp</a></div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_aa2769bd361a055223291fb5ce308f7d9"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9">ProcessBody</a></div><div class="ttdeci">void ProcessBody(const FunctionDecl *FuncDef, const SourceManager &amp;SourceManager)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:356</div></div>
<div class="ttc" id="acreate_interface_variables_8hpp_html"><div class="ttname"><a href="create_interface_variables_8hpp.html">createInterfaceVariables.hpp</a></div></div>
<div class="ttc" id="astruct_node_hierarchy_html_a888020efdce3868a889bf6bf1e77d2dd"><div class="ttname"><a href="struct_node_hierarchy.html#a888020efdce3868a889bf6bf1e77d2dd">NodeHierarchy::isLeftValue</a></div><div class="ttdeci">bool isLeftValue</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:441</div></div>
<div class="ttc" id="aresolve_interface_variables_8hpp_html"><div class="ttname"><a href="resolve_interface_variables_8hpp.html">resolveInterfaceVariables.hpp</a></div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_ae3a60ce3a4581e591ed706a2f8b5161b"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#ae3a60ce3a4581e591ed706a2f8b5161b">insertIntoClangDB</a></div><div class="ttdeci">bool insertIntoClangDB(std::string StmtName)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:225</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a7f6630082f62113b27a36f1c85d536ff"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a7f6630082f62113b27a36f1c85d536ff">CheckCompleteness</a></div><div class="ttdeci">bool CheckCompleteness(ArteFactCheck_type &amp;ArtefactStruct, llvm::StringRef CachePath)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:473</div></div>
<div class="ttc" id="asearch_path_utilities_8hpp_html"><div class="ttname"><a href="search_path_utilities_8hpp.html">searchPathUtilities.hpp</a></div></div>
<div class="ttc" id="a_flatten_a_s_a_m_m_d_xxml_8hpp_html_a41eefa0f417a930ad5a27102a9575fef"><div class="ttname"><a href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef">flattenRequestedXML</a></div><div class="ttdeci">void flattenRequestedXML(void)</div><div class="ttdef"><b>Definition:</b> FlattenASAMMDXxml.hpp:324</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a625fec92b5406f7a3d5391184fbeda78"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a625fec92b5406f7a3d5391184fbeda78">PullGlobalStatusIntoLocal</a></div><div class="ttdeci">void PullGlobalStatusIntoLocal(SubLevelProperties &amp;SubLvlPrp, BinaryOpProperties &amp;BinOpProp)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:235</div></div>
<div class="ttc" id="a_flatten_a_s_a_m_m_d_xxml_8hpp_html"><div class="ttname"><a href="_flatten_a_s_a_m_m_d_xxml_8hpp.html">FlattenASAMMDXxml.hpp</a></div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_abb99b0e2add80b662e70fc70543569d8"><div class="ttname"><a href="postgres_interface_8hpp.html#abb99b0e2add80b662e70fc70543569d8">getStringVectorFromJsonObj</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; getStringVectorFromJsonObj(std::string dbName, std::string table, std::string collumn, std::vector&lt; std::string &gt; property=std::vector&lt; std::string &gt;())</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:497</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_adc6754c2abc2fdc1da70dfaaa2ecc850"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#adc6754c2abc2fdc1da70dfaaa2ecc850">InitialBinOpProp</a></div><div class="ttdeci">void InitialBinOpProp(BinaryOpProperties &amp;BinOpProp)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:244</div></div>
<div class="ttc" id="a_match_process_body_8h_html_afb647cf265f741bfa2714db84b53cee3"><div class="ttname"><a href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a></div><div class="ttdeci">#define MatcherProcessBody(processName)</div><div class="ttdef"><b>Definition:</b> MatchProcessBody.h:31</div></div>
<div class="ttc" id="aresolve_interface_variables_8hpp_html_a74ff2bdf877ff2c5a6f5d7627972e64a"><div class="ttname"><a href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a">resolveInterfacesVariables</a></div><div class="ttdeci">void resolveInterfacesVariables()</div><div class="ttdef"><b>Definition:</b> resolveInterfaceVariables.hpp:1116</div></div>
<div class="ttc" id="astruct_arte_fact_check__type_html_ab896c2b8ff16667f00350842ce628d1b"><div class="ttname"><a href="struct_arte_fact_check__type.html#ab896c2b8ff16667f00350842ce628d1b">ArteFactCheck_type::SubDirs_vec</a></div><div class="ttdeci">std::vector&lt; std::string &gt; SubDirs_vec</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:469</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a5dd3a5d76aa780e750286379c981b8fc"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a5dd3a5d76aa780e750286379c981b8fc">createCallExprNode</a></div><div class="ttdeci">bool createCallExprNode(bsoncxx::document::value &amp;NodeValue, std::string StmtName)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:216</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a04ff0f05467fdbf12c44aee405f98832"><div class="ttname"><a href="postgres_interface_8hpp.html#a04ff0f05467fdbf12c44aee405f98832">updateOneInDocument</a></div><div class="ttdeci">bool updateOneInDocument(std::string dbName, std::string tableName, std::string columnName, std::string elementName, std::string value, std::string compareValue=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:102</div></div>
<div class="ttc" id="astruct_sub_level_properties_html_a930c6a2242ea559f7037c9e74951ac67"><div class="ttname"><a href="struct_sub_level_properties.html#a930c6a2242ea559f7037c9e74951ac67">SubLevelProperties::BinOpProperties_scalar</a></div><div class="ttdeci">BinaryOpPropertiesLight BinOpProperties_scalar</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:551</div></div>
<div class="ttc" id="astruct_matched_item__type_html"><div class="ttname"><a href="struct_matched_item__type.html">MatchedItem_type</a></div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:231</div></div>
<div class="ttc" id="astruct_node_hierarchy_html_a6bac996143ee8e64425a3038025e3731"><div class="ttname"><a href="struct_node_hierarchy.html#a6bac996143ee8e64425a3038025e3731">NodeHierarchy::isCastLeftToRight</a></div><div class="ttdeci">bool isCastLeftToRight</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:442</div></div>
<div class="ttc" id="acreate_recursive_funct_matchers_8hpp_html_a12397f1e741b5a9fa98a758126c1f1bf"><div class="ttname"><a href="create_recursive_funct_matchers_8hpp.html#a12397f1e741b5a9fa98a758126c1f1bf">convertVectorToVectorVector</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; convertVectorToVectorVector(std::vector&lt; std::string &gt; process_vec)</div><div class="ttdef"><b>Definition:</b> createRecursiveFunctMatchers.hpp:92</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_af822c4a218482dc59519d9be782b0fd5"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5">loop</a></div><div class="ttdeci">void loop(int argc, const char **argv)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:615</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a22bf88c65162eca678164da7ba7536d6"><div class="ttname"><a href="postgres_interface_8hpp.html#a22bf88c65162eca678164da7ba7536d6">updateOneArrayInDocument</a></div><div class="ttdeci">bool updateOneArrayInDocument(std::string dbName, std::string tableName, std::string columnName, std::string elementName, std::vector&lt; std::string &gt; value_vec)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:136</div></div>
<div class="ttc" id="arecursive_hierarch_search_8hpp_html"><div class="ttname"><a href="recursive_hierarch_search_8hpp.html">recursiveHierarchSearch.hpp</a></div></div>
<div class="ttc" id="astruct_node_hierarchy_html_acf08dc3c877ae2d01db73c4759d0e1bb"><div class="ttname"><a href="struct_node_hierarchy.html#acf08dc3c877ae2d01db73c4759d0e1bb">NodeHierarchy::last_statement</a></div><div class="ttdeci">bool last_statement</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:440</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a1ff72b2499b59575e71d981e505c3fe7"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7">StmtProc</a></div><div class="ttdeci">void StmtProc(bsoncxx::builder::basic::document &amp;MainNode, Stmt::const_child_iterator &amp;childBeg, Stmt::const_child_iterator &amp;childEnd, const SourceManager &amp;SourceManager, BinaryOpProperties &amp;BinOpProp)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:261</div></div>
<div class="ttc" id="aget_defines_in_data_file_8hpp_html"><div class="ttname"><a href="get_defines_in_data_file_8hpp.html">getDefinesInDataFile.hpp</a></div></div>
<div class="ttc" id="astruct_binary_op_properties_html_a313b998be8af37e2dc7ddd09e2feb2d8"><div class="ttname"><a href="struct_binary_op_properties.html#a313b998be8af37e2dc7ddd09e2feb2d8">BinaryOpProperties::noOfLocalRHS</a></div><div class="ttdeci">unsigned noOfLocalRHS</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:577</div></div>
<div class="ttc" id="astruct_binary_op_properties_html_aa24e6a87f4ff79c732e3a134e079f206"><div class="ttname"><a href="struct_binary_op_properties.html#aa24e6a87f4ff79c732e3a134e079f206">BinaryOpProperties::stmtNo</a></div><div class="ttdeci">unsigned stmtNo</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:584</div></div>
<div class="ttc" id="astruct_node_hierarchy_html_a167651d4f868979189fea2cb6aca27d4"><div class="ttname"><a href="struct_node_hierarchy.html#a167651d4f868979189fea2cb6aca27d4">NodeHierarchy::isStartOfMemberProcessing</a></div><div class="ttdeci">bool isStartOfMemberProcessing</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:443</div></div>
<div class="ttc" id="astruct_sub_level_properties_html_ac8f09161a1d5e23d9cb2a308bca7274b"><div class="ttname"><a href="struct_sub_level_properties.html#ac8f09161a1d5e23d9cb2a308bca7274b">SubLevelProperties::FuncDeclProperties_scalar</a></div><div class="ttdeci">FunctionDeclProperties FuncDeclProperties_scalar</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:549</div></div>
<div class="ttc" id="aget_decl_context_and_decls_8hpp_html"><div class="ttname"><a href="get_decl_context_and_decls_8hpp.html">getDeclContextAndDecls.hpp</a></div></div>
<div class="ttc" id="acreate_calibration_structs_8hpp_html"><div class="ttname"><a href="create_calibration_structs_8hpp.html">createCalibrationStructs.hpp</a></div></div>
<div class="ttc" id="astruct_binary_op_properties_html_ac975bdd8407c509fae99646f4a2dbf04"><div class="ttname"><a href="struct_binary_op_properties.html#ac975bdd8407c509fae99646f4a2dbf04">BinaryOpProperties::FuncName</a></div><div class="ttdeci">std::string FuncName</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:593</div></div>
<div class="ttc" id="aget_defines_in_data_file_8hpp_html_a3fd68e87e66e23e388c61660f1b78df7"><div class="ttname"><a href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7">getDefinesInDataFile</a></div><div class="ttdeci">void getDefinesInDataFile(std::string pthAnalysis)</div><div class="ttdef"><b>Definition:</b> getDefinesInDataFile.hpp:119</div></div>
<div class="ttc" id="acreate_compu_methods_8hpp_html"><div class="ttname"><a href="create_compu_methods_8hpp.html">createCompuMethods.hpp</a></div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a1c2966833fdf7dd35c20a2846117f357"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a1c2966833fdf7dd35c20a2846117f357">stop</a></div><div class="ttdeci">std::atomic&lt; bool &gt; stop</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:461</div></div>
<div class="ttc" id="astruct_binary_op_properties_html_aeb982f7fa93ea8155962bc4248442a19"><div class="ttname"><a href="struct_binary_op_properties.html#aeb982f7fa93ea8155962bc4248442a19">BinaryOpProperties::RHSExpr</a></div><div class="ttdeci">LeftRight RHSExpr</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:580</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a56f969b573c27479f1190d09f13cfc69"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a56f969b573c27479f1190d09f13cfc69">ProcessFuncDef</a></div><div class="ttdeci">void ProcessFuncDef(const FunctionDecl *FuncDef, const SourceManager &amp;SourceManager)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:324</div></div>
<div class="ttc" id="arefactor-powertrain-matchers_8h_html"><div class="ttname"><a href="refactor-powertrain-matchers_8h.html">refactor-powertrain-matchers.h</a></div></div>
<div class="ttc" id="aget_function_decls_as_o_s_processes_8hpp_html"><div class="ttname"><a href="get_function_decls_as_o_s_processes_8hpp.html">getFunctionDeclsAsOSProcesses.hpp</a></div></div>
<div class="ttc" id="astruct_binary_op_properties_html_a2469466402f2ca547f9e4f98546aa5af"><div class="ttname"><a href="struct_binary_op_properties.html#a2469466402f2ca547f9e4f98546aa5af">BinaryOpProperties::current_level</a></div><div class="ttdeci">NodeHierarchy current_level</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:589</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a93a897241339ada0d6a3676765ae1d21"><div class="ttname"><a href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21">insertOneIntoCollection</a></div><div class="ttdeci">bool insertOneIntoCollection(std::string dbName, std::string table, std::string column, bsoncxx::document::value doc_val)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:66</div></div>
<div class="ttc" id="astruct_binary_op_properties_html"><div class="ttname"><a href="struct_binary_op_properties.html">BinaryOpProperties</a></div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:561</div></div>
<div class="ttc" id="astruct_left_right_html_a8fbe8c5c62f875b13fe75314226599a3"><div class="ttname"><a href="struct_left_right.html#a8fbe8c5c62f875b13fe75314226599a3">LeftRight::isValid</a></div><div class="ttdeci">bool isValid</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:527</div></div>
<div class="ttc" id="asearch_path_utilities_8hpp_html_a65385cf4429f17bcbd1f4e78c4d50259"><div class="ttname"><a href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259">replaceString</a></div><div class="ttdeci">std::string replaceString(std::string search_path, std::string origin, std::string replacement)</div><div class="ttdef"><b>Definition:</b> searchPathUtilities.hpp:50</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a952e42de50e86fdd1ac069a8acf991e1"><div class="ttname"><a href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1">createPgTables</a></div><div class="ttdeci">int createPgTables(std::string table_name, std::string column_name)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:597</div></div>
<div class="ttc" id="astruct_node_hierarchy_html_a1f58f8f4919f0a45f986933119eaa71d"><div class="ttname"><a href="struct_node_hierarchy.html#a1f58f8f4919f0a45f986933119eaa71d">NodeHierarchy::isStartOfCallExprProcessing</a></div><div class="ttdeci">bool isStartOfCallExprProcessing</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:444</div></div>
<div class="ttc" id="a_types_for_analysis_8h_html"><div class="ttname"><a href="_types_for_analysis_8h.html">TypesForAnalysis.h</a></div></div>
<div class="ttc" id="astruct_function_decl_properties_html_a74b3c697cb85a612178bec45dc23f1ca"><div class="ttname"><a href="struct_function_decl_properties.html#a74b3c697cb85a612178bec45dc23f1ca">FunctionDeclProperties::FuncDeclName</a></div><div class="ttdeci">std::string FuncDeclName</div><div class="ttdef"><b>Definition:</b> TypesForAnalysis.h:348</div></div>
<div class="ttc" id="arecursive_hierarch_search_8hpp_html_a6c3aafef43e91acd0d2542ea2c5337ac"><div class="ttname"><a href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac">getNthColumn</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getNthColumn(std::vector&lt; std::vector&lt; std::string &gt;&gt; matrix, unsigned colNo)</div><div class="ttdef"><b>Definition:</b> recursiveHierarchSearch.hpp:24</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a77e228ed2f2681234d409fbf35cc594f"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a77e228ed2f2681234d409fbf35cc594f">BuildPath</a></div><div class="ttdeci">cl::opt&lt; std::string &gt; BuildPath(cl::Positional, cl::desc(&quot;&lt;build-path&gt;&quot;))</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a2d06d7ad45c170f36aa5c746f544a27a"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a2d06d7ad45c170f36aa5c746f544a27a">StringCStrMethod</a></div><div class="ttdeci">const char * StringCStrMethod</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:442</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_aaa948d1873b8bc4f4916febf4f89be48"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#aaa948d1873b8bc4f4916febf4f89be48">compileFuncDefList</a></div><div class="ttdeci">void compileFuncDefList(std::vector&lt; std::string &gt; file_vec)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:576</div></div>
<div class="ttc" id="astruct_arte_fact_check__type_html_a6f844ab22bb7cf4cd1ba07fb69124a67"><div class="ttname"><a href="struct_arte_fact_check__type.html#a6f844ab22bb7cf4cd1ba07fb69124a67">ArteFactCheck_type::SourceCodeFiles</a></div><div class="ttdeci">std::vector&lt; std::string &gt; SourceCodeFiles</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:467</div></div>
<div class="ttc" id="asearch_path_utilities_8hpp_html_a38a14ece7625a78b944e2fcdf17ef45b"><div class="ttname"><a href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b">getElementOfJSONArray</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getElementOfJSONArray(std::string JSONarray)</div><div class="ttdef"><b>Definition:</b> searchPathUtilities.hpp:216</div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_a28df8acc81b383774057c0c0bf887405"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#a28df8acc81b383774057c0c0bf887405">StringConstructor</a></div><div class="ttdeci">const char * StringConstructor</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:438</div></div>
<div class="ttc" id="acreate_recursive_funct_matchers_8hpp_html_ad6c6ed9a638cba79704c0ef16090bf30"><div class="ttname"><a href="create_recursive_funct_matchers_8hpp.html#ad6c6ed9a638cba79704c0ef16090bf30">createNewMatchers</a></div><div class="ttdeci">std::vector&lt; std::string &gt; createNewMatchers(std::vector&lt; std::vector&lt; std::string &gt;&gt; res)</div><div class="ttdef"><b>Definition:</b> createRecursiveFunctMatchers.hpp:107</div></div>
<div class="ttc" id="a_decl_ref_expr_proc_8h_html"><div class="ttname"><a href="_decl_ref_expr_proc_8h.html">DeclRefExprProc.h</a></div></div>
<div class="ttc" id="arefactor-powertrain-controls_8cpp_html_ac96db0c42064fbaec654f073743addb6"><div class="ttname"><a href="refactor-powertrain-controls_8cpp.html#ac96db0c42064fbaec654f073743addb6">getUniqueVector</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getUniqueVector(std::vector&lt; std::string &gt; result_vec)</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:180</div></div>
<div class="ttc" id="astruct_arte_fact_check__type_html_ab2dd44cd70c82c72cb5bffc677dd06d3"><div class="ttname"><a href="struct_arte_fact_check__type.html#ab2dd44cd70c82c72cb5bffc677dd06d3">ArteFactCheck_type::CMakeListsTxt</a></div><div class="ttdeci">std::string CMakeListsTxt</div><div class="ttdef"><b>Definition:</b> refactor-powertrain-controls.cpp:468</div></div>
<div class="ttc" id="a_match_global_var_refs_8h_html"><div class="ttname"><a href="_match_global_var_refs_8h.html">MatchGlobalVarRefs.h</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="refactor-powertrain-matchers_8h.html">refactor-powertrain-matchers.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
